CONFIG +=			release \
					warn_on \
					qt \
					thread 

TEMPLATE =			app
DESTDIR =			bin

CONFIG(debug, debug|release) {
	TARGET =		dostmannd
} else {
	TARGET =		dostmann
}

OBJECTS_DIR =		build/obj
MOC_DIR =			build/moc

QT +=				core \
					gui

greaterThan(QT_MAJOR_VERSION, 4): {
QT +=				widgets

}

SOURCES +=			../core/vector2.cpp \
					../core/vector3.cpp \
					src/dostmanndialog.cpp \
					src/hexeditwidget.cpp \
					src/inputwidget.cpp \
					src/main.cpp \
					src/settingsdialog.cpp

HEADERS +=			../core/vector2.h \
					../core/vector3.h \
					src/dostmanndialog.h \
					src/hexeditwidget.h \
					src/inputwidget.h \
					src/settingsdialog.h

RESOURCES +=		res/dostmanndialog.qrc

macx{

ICON =				res/icons.icns
OBJECTIVE_SOURCES += ../core/nspool.mm
HEADERS += 			../core/nspool.mm
LIBS +=				-framework AppKit -framework Cocoa

QMAKE_INFO_PLIST = ../default_data/Info.plist
}

linux-g++{

isEmpty(PREFIX) {
PREFIX = 			/usr/lib/dostmann
}
target.path =		$$PREFIX
target.files =		bin/dostmann
INSTALLS +=			target

# QMAKE_POST_LINK = patchelf --set-rpath ./qtlibs bin/dostmann
}

win32 {
RC_FILE =			res/resource.rc
}
